//--------------------------------------------------------------
// File     : xmc2go_ub_uPlay.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __XMC2GO_UB_UPLAY_H
#define __XMC2GO_UB_UPLAY_H


//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include <stdint.h>
#include "xmc2go_ub_nokia5110.h"
#include "xmc2go_ub_uart.h"
#include "xmc2go_ub_gpio.h"
#include "xmc2go_ub_adc.h"
#include "xmc2go_ub_system.h"
#include "../ubasic/ubasic.h" 


//--------------------------------------------------------------
// Versions-Nummer vom uPlay als String
//--------------------------------------------------------------
#define  UPLAY_VER       "1.00"

//--------------------------------------------------------------
// Kommandos
//--------------------------------------------------------------
#define  UPLAY_HELP_CMD  "HELP"
#define  UPLAY_LOAD_CMD  "LOAD"
#define  UPLAY_END_CMD   "END"
#define  UPLAY_RUN_CMD   "RUN"


//--------------------------------------------------------------
// Speicherplatz fuer Basic-Programm im RAM
//--------------------------------------------------------------
#define  UPLAY_RAM_SIZE   8192   // in Bytes (8k)




//--------------------------------------------------------------
// Pausenzeiten (in ms)
//--------------------------------------------------------------
#define  UPLAY_PAUSE_RUN_OK   1000   // 1sec
#define  UPLAY_PAUSE_RUN_ERR  3000   // 3sec
#define  UPLAY_PAUSE_LOAD     1000   // 1sec
#define  UPLAY_PAUSE_INFO     3000   // 3sec



//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
void XMC2GO_uPlay_Init(void);
void XMC2GO_uPlay_Start(void);



//--------------------------------------------------------------
#endif // __XMC2GO_UB_UPLAY_H
